org.apache.cayenne.dba.postgres

## Class PostgresQualifierTranslator

- java.lang.Object
- - org.apache.cayenne.access.trans.QueryAssemblerHelper
  - - org.apache.cayenne.access.trans.QualifierTranslator
    - - org.apache.cayenne.access.trans.TrimmingQualifierTranslator
      - - org.apache.cayenne.dba.postgres.PostgresQualifierTranslator

- All Implemented Interfaces:
    TraversalHandler

      public class PostgresQualifierTranslator
      extends TrimmingQualifierTranslator

  Uses Postgres extensions to optimize various translations.
  Since:
    1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `trimFunction`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `caseInsensitive, matchingObject, objectMatchTranslator`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `out, queryAssembler, strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresQualifierTranslator(QueryAssembler queryAssembler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endNode(Expression node, Expression parentNode)` Called during the traversal after an expression node children processing is finished.
    `void` | `finishedChild(Expression node, int childIndex, boolean hasMoreChildren)` Called during traversal after a child of expression has been visited.
    `void` | `startNode(Expression node, Expression parentNode)` Called during the traversal before an expression node children processing is started.

    - ### Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `getTrimFunction, processColumn, processColumnWithQuoteSqlIdentifiers, setTrimFunction`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, doAppendPart, extractQualifier, objectNode, operandForBitwiseAnd, operandForBitwiseNot, operandForBitwiseOr, operandForBitwiseXor, parenthesisNeeded, processRelTermination, setCaseInsensitive`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `appendDbPath, appendLikeEscapeCharacter, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgresQualifierTranslator

          public PostgresQualifierTranslator(QueryAssembler queryAssembler)

  - ### Method Detail

    - #### startNode

          public void startNode(Expression node,
                                Expression parentNode)

      Description copied from interface: `TraversalHandler`
      Called during the traversal before an expression node children processing is started.
      Specified by:
        `startNode` in interface `TraversalHandler`
      Overrides:
        `startNode` in class `QualifierTranslator`

    - #### endNode

          public void endNode(Expression node,
                              Expression parentNode)

      Description copied from interface: `TraversalHandler`
      Called during the traversal after an expression node children processing is finished.
      Specified by:
        `endNode` in interface `TraversalHandler`
      Overrides:
        `endNode` in class `QualifierTranslator`

    - #### finishedChild

          public void finishedChild(Expression node,
                                    int childIndex,
                                    boolean hasMoreChildren)

      Description copied from interface: `TraversalHandler`
      Called during traversal after a child of expression has been visited.
      Specified by:
        `finishedChild` in interface `TraversalHandler`
      Overrides:
        `finishedChild` in class `QualifierTranslator`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.